# H245_H262VideoMode Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H262VideoMode:

List of all members.

## Public Types

enum | OptionalFields { e_videoBitRate, e_vbvBufferSize, e_samplesPerLine, e_linesPerFrame, e_framesPerSecond, e_luminanceSampleRate }

## Public Member Functions

| H245_H262VideoMode (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_H262VideoMode_profileAndLevel | m_profileAndLevel
PASN_Integer | m_videoBitRate
PASN_Integer | m_vbvBufferSize
PASN_Integer | m_samplesPerLine
PASN_Integer | m_linesPerFrame
PASN_Integer | m_framesPerSecond
PASN_Integer | m_luminanceSampleRate

## Member Enumeration Documentation

enum H245_H262VideoMode::OptionalFields

Enumerator:

  e_videoBitRate |
  e_vbvBufferSize |
  e_samplesPerLine |
  e_linesPerFrame |
  e_framesPerSecond |
  e_luminanceSampleRate |

## Constructor & Destructor Documentation

H245_H262VideoMode::H245_H262VideoMode | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H262VideoMode::GetDataLength | ( |  | ) | const

PBoolean H245_H262VideoMode::Decode | ( | PASN_Stream & | strm | ) |

void H245_H262VideoMode::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H262VideoMode::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H262VideoMode::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H262VideoMode::Clone | ( |  | ) | const

## Member Data Documentation

H245_H262VideoMode_profileAndLevel H245_H262VideoMode::m_profileAndLevel

PASN_Integer H245_H262VideoMode::m_videoBitRate

PASN_Integer H245_H262VideoMode::m_vbvBufferSize

PASN_Integer H245_H262VideoMode::m_samplesPerLine

PASN_Integer H245_H262VideoMode::m_linesPerFrame

PASN_Integer H245_H262VideoMode::m_framesPerSecond

PASN_Integer H245_H262VideoMode::m_luminanceSampleRate

The documentation for this class was generated from the following file:

- h245.h